;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"brown="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M 低燃費ハイジ
*Y40
*T40
*S3
;
*y001 blue=24.black=5.4
*y002 blue=7.11.black=15
*y003 blue=1.1.1.5.black=18
*y004 blue=3.black=18
*y005 blue=1.2.1.3.black=10.hada=1.black=8
*y006 blue=6.7.black=10.hada=3.black=8
*y007 blue=16.black=9.hada=7.black=6
*y008 blue=16.black=9.hada=8.black=6
*y009 blue=6.black=2.blue=7.black=1.8.hada=10.black=5
*y010 blue=4.black=2.2.blue=5.black=2.6.hada=1.black=2.hada=8.black=6
*y011 blue=2.black=3.2.blue=2.black=3.8.hada=12.black=1.2
*y012 black=3.3.7.hada=14.black=3
*y013 black=2.6.hada=2.black=3.hada=7.black=6
*y014 green=5.black=6.hada=1.black=1.1.hada=1.black=1.hada=1.black=1.hada=2.black=1.3
*y015 green=14.black=3.hada=1.black=2.hada=2.black=2.1.hada=1.black=1.hada=1.black=2.hada=1.black=2.1.1
*y016 green=14.black=2.hada=2.black=2.hada=2.black=3.hada=2.black=1.hada=1.black=1.hada=1.black=3.hada=2.black=1
*y017 green=14.black=2.hada=3.black=1.hada=7.black=4.hada=6.black=2
*y018 green=10.black=3.hada=5.red=2.hada=10.red=2.hada=2.black=1
*y019 green=8.black=3.3.hada=4.red=2.hada=2.red=6.hada=2.red=2.hada=2.black=1
*y020 black=3.3.5.hada=6.red=1.1.hada=6.black=1
*y021 black=9.3.2.hada=5.red=1.black=4.red=1.hada=5.black=2
*y022 black=2.2.3.hada=5.red=1.1.hada=4.black=2
*y023 red=1.black=3.3.3.5.hada=4.red=6.hada=3.black=2.green=1
*y024 red=3.black=2.1.2.1.4.4.hada=9.black=3.green=2
*y025 black=2.red=3.black=1.1.1.1.1.green=4.black=5.hada=1.black=7.green=3
*y026 green=1.black=5.4.3.1.green=3.black=3.red=2.black=1.hada=2.black=2.red=2.black=3.green=2
*y027 green=5.black=1.1.green=2.black=2.yellow=1.black=1.red=3.black=4.yellow=1.red=2.black=1.yellow=1.black=2.green=1
*y028 green=5.black=1.4.green=1.black=2.yellow=2.black=1.red=3.yellow=5.red=2.black=1.yellow=2.black=2
*y029 green=4.black=2.5.green=1.black=1.yellow=3.black=1.red=4.yellow=3.red=3.black=1.yellow=3.black=1
*y030 green=4.black=1.red=7.green=1.black=1.yellow=3.black=1.red=4.yellow=3.red=3.black=1.yellow=3.black=1
*y031 green=4.black=1.1.green=1.black=5.red=10.black=5
*y032 green=4.black=1.7.green=1.black=1.hada=2.black=1.red=12.black=1.hada=2.black=1
*y033 green=4.black=1.red=7.green=1.black=1.hada=2.black=1.red=12.black=1.hada=2.black=1
*y034 green=3.black=2.6.green=1.black=1.hada=2.black=1.red=12.black=2.hada=1.black=1
*y035 green=3.black=1.2.1.green=2.black=2.hada=2.black=4.red=7.black=4.hada=2
*y036 black=2.green=1.black=1.3.2.green=2.black=1.hada=2.black=2.red=2.black=9.red=2.black=1.hada=2
*y037 black=2.1.green=1.black=2.1.green=3.black=1.hada=2.black=2.red=13.black=2.hada=1
*y038 black=1.red=1.black=2.green=2.black=1.2.green=1.black=3.hada=2.black=1.red=15.black=1.hada=1
*y039 black=2.red=2.black=1.green=3.black=3.green=1.black=2.hada=4.black=1.red=15.black=2
*y040 red=5.black=1.green=4.black=1.green=2.black=1.hada=4.black=2.red=16.black=1
;
*t001 blue=3.7.black=1.green=5.black=2.red=2.black=1.green=10.black=1
*t002 blue=2.6.black=1.green=5.black=3.red=1.black=2.green=9.black=1.1
*t003 blue=2.5.black=2.green=5.black=1.1.red=2.black=1.green=10.black=3
*t004 blue=2.6.black=1.green=6.black=1.2.red=1.black=1.green=7.black=4.red=3
*t005 blue=3.5.black=2.green=6.black=1.1.red=1.black=1.green=2.black=6.red=2
*t006 blue=2.4.black=1.green=6.black=2.5.red=1
*t007 blue=2.2.black=1.green=6.black=2.red=1
*t008 blue=1.2.black=2.green=6.black=1.red=1
*t009 blue=1.3.black=2.green=4.black=2.3.1.3
*t010 blue=1.4.black=1.1.green=4.black=1.1.1.4.green=2
*t011 blue=2.6.black=2.green=3.black=2.2.1.1.green=4
*t012 blue=3.6.black=1.green=3.black=1.4.2.green=3
*t013 blue=2.6.black=2.green=3.black=2.red=1.black=1.red=1.black=3.green=1
*t014 blue=2.5.black=1.green=3.black=1.3.red=1.black=1.red=1.black=1.2
*t015 blue=2.4.black=2.2.1.1.1.red=1.black=1.red=1.black=1.2.green=1
*t016 blue=3.4.black=2.4.1.2.1.2.red=1.black=1.red=1.black=1.3.green=2
*t017 blue=6.black=11.3.2.red=1.black=1.red=1.black=3.green=2.black=2
*t018 blue=5.black=9.hada=2.black=3.1.green=1.black=4.red=1.black=1.red=1.black=1.green=3.black=2.hada=1
*t019 blue=4.black=9.hada=4.black=2.2.green=3.black=2.red=1.black=2.red=1.black=1.green=3.black=1.hada=2
*t020 blue=3.black=12.hada=3.black=1.2.green=10.black=4.hada=2
*t021 blue=2.black=14.hada=2.black=4.green=2.black=8.hada=5
*t022 blue=1.black=12.hada=6.black=4.2.yellow=2.black=1.hada=8.black=1
*t023 blue=1.black=10.hada=10.black=5.yellow=3.black=1.hada=4.black=5
*t024 blue=1.black=7.hada=1.black=1.hada=2.black=3.hada=1.red=2.hada=4.black=3.yellow=4.black=7.red=3
*t025 black=9.hada=2.black=1.2.hada=1.red=2.hada=4.black=8.red=3.black=1.red=5
*t026 black=7.hada=1.black=1.hada=2.black=1.1.hada=8.black=1.red=9.black=1.red=5
*t027 black=5.hada=6.black=3.hada=9.black=1.red=9.black=2.red=4
*t028 black=5.hada=12.red=5.hada=2.black=1.red=9.black=1.red=4
*t029 black=5.hada=8.black=4.hada=1.red=1.black=1.red=1.hada=1.black=1.hada=1.black=1.yellow=1.red=7.black=1.red=4
*t030 black=4.hada=12.black=1.hada=1.red=1.black=1.red=1.hada=1.black=1.hada=1.black=1.yellow=3.red=5.black=1.red=4
*t031 black=5.hada=8.black=2.1.hada=1.red=1.black=1.red=1.hada=1.black=1.1.yellow=3.red=5.black=1.red=4
*t032 black=6.hada=8.black=3.hada=1.red=1.black=1.red=1.hada=1.black=3.yellow=3.red=5.black=1.red=4
*t033 black=6.hada=12.red=5.hada=1.black=2.yellow=2.red=7.black=1.red=4
*t034 black=6.hada=6.black=3.hada=8.black=1.red=10.black=1.red=4
*t035 black=7.hada=1.black=1.hada=2.black=1.2.hada=7.black=2.red=9.black=2.red=4
*t036 black=9.hada=2.black=1.1.hada=1.red=2.hada=4.black=1.6.red=3.black=1.red=5
*t037 black=11.hada=1.black=3.hada=2.red=2.hada=3.black=2.1.yellow=4.black=5.red=5
*t038 black=10.3.hada=6.black=2.green=1.black=2.yellow=3.black=1.hada=2.black=4.red=3
*t039 black=3.12.hada=3.black=2.green=3.black=2.yellow=2.black=1.hada=5.black=3.red=1
*t040 black=1.6.5.green=5.black=7.hada=4.black=2
;
